<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SmallBusinessCTA',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="smb-cta">
    <div class="cta__title-column slp-text-align-center">
      <SlpTypography tag="h1" variant="heading1">{{
        data.title
      }}</SlpTypography>
      <SlpTypography tag="h3" variant="heading3" class="slp-my-16">{{
        data.subtitle
      }}</SlpTypography>
      <div class="slp-mb-96">
        <SlpButton
          class="slp-mr-8"
          variant="primary"
          :href="data.free_trial_button.link"
          :data-ga-name="data.free_trial_button.data_ga_name"
          :data-ga-location="data.free_trial_button.data_ga_location"
          >{{ data.free_trial_button.text }}</SlpButton
        >
        <SlpButton
          variant="secondary"
          :href="data.contact_sales_button.link"
          :data-ga-name="data.contact_sales_button.data_ga_name"
          :data-ga-location="data.contact_sales_button.data_ga_location"
          >{{ data.contact_sales_button.text }}</SlpButton
        >
      </div>
      <div class="cta__companies slp-flex">
        <span
          v-for="enterprise in data.showcased_enterprises"
          :key="enterprise.alt"
          class="slp-mr-4 slp-mt-8"
        >
          <a :href="enterprise.url" target="_blank">
            <nuxt-img
              class="cta__company-icon"
              :src="enterprise.image_url"
              :alt="enterprise.alt"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </a>
        </span>
      </div>
    </div>
  </section>
</template>

<style lang="scss" scoped>
.smb-cta {
  margin-top: 128px;

  h3 {
    max-width: 918px;
    margin: 0 auto;
  }

  @media (max-width: $breakpoint-md) {
    margin-top: $spacing-48;
    text-align: center;

    h1 {
      font-size: 36px;
      line-height: 44px;
    }

    h3 {
      font-size: 24px;
      line-height: 30px;
      margin-bottom: 0;
    }

    .slp-btn {
      width: 100%;
      margin-top: $spacing-8;
    }

    .cta__companies {
      justify-content: space-between;

      span {
        margin: 8px 24px;
      }

      &::before {
        left: calc(-50vw + 50%);
      }
    }

    .cta__title-column {
      margin-right: 0;
      margin-bottom: $spacing-24;
    }
  }
}

.cta__companies {
  flex-wrap: wrap;
  justify-content: space-between;
  position: relative;

  &:before {
    content: ' ';
    background: $color-surface-100;
    height: calc(100% + 48px);
    left: calc(-50vw + 50%);
    width: 100vw;
    top: -24px;
    position: absolute;
    z-index: -1;
  }

  &-icon:hover {
    transform: scale(1.05);
    transition: all 0.2s ease-in-out;
  }
}

.cta__media-column {
  margin: 0 auto;
}
</style>
